## org.gnu.gtk
Class MetricType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.MetricType

public class MetricType
extends Enum

Field Summary
`static MetricType` `CENTIMETERS`
`static MetricType` `INCHES`
`static MetricType` `PIXELS`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`MetricType` `and(MetricType other)`
`static MetricType` `intern(int value)`
`MetricType` `or(MetricType other)`
`boolean` `test(MetricType other)`
`MetricType` `xor(MetricType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PIXELS

    public static final MetricType PIXELS

### INCHES

    public static final MetricType INCHES

### CENTIMETERS

    public static final MetricType CENTIMETERS

Method Detail

### intern

    public static MetricType intern(int value)

### or

    public MetricType or(MetricType other)

### and

    public MetricType and(MetricType other)

### xor

    public MetricType xor(MetricType other)

### test

    public boolean test(MetricType other)